@echo off
rem   -----------------------------------------------------------------
rem   Mit diesem Programm werden die deutschen Units-Verzeichnisse und 
rem   -dateien kopiert und mit den Original-Bezeichnungen versehen.
rem   Damit ist es mglich, englische und deutsche Scenarios zu spielen.
rem   
rem   Die Einheit "Panzer" ist in englisch und deutsch unterschiedlich
rem   belegt. Dafr habe ich zur Zeit keine Lsung. In englischen Sze-
rem   narien wird daher die Einheit "Panzer" angezeigt und nicht die
rem   Einheit "Deutscher Panzer", sorry.
rem
rem                         (c) Dez-2003 goethe            Version 1.02
rem   -----------------------------------------------------------------

set artdir=art\units


rem   -----------------------------------------------------------------
rem                                           Test auf Startverzeichnis
rem   -----------------------------------------------------------------

IF NOT EXIST "civilization3.exe" GOTO KEIN_CIVDIR


rem   -----------------------------------------------------------------
rem                                      Wechseln ins Units-Verzeichnis
rem   -----------------------------------------------------------------

IF NOT EXIST "%artdir%\units_32.pcx" GOTO KEIN_UNITS
cd "%artdir%"


rem   -----------------------------------------------------------------
rem                                                   (1) AEGIS-Kreuzer
rem   -----------------------------------------------------------------

:V1
SET  E=Aegis Cruiser
SET  D=AEGIS-Kreuzer
SET  V=V2
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                      (2) Artillerie
rem   -----------------------------------------------------------------

:V2
SET E=Artillery
SET D=Artillerie
SET V=V3
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (3) Atom-U-Boot
rem   -----------------------------------------------------------------

:V3
SET E=Nuclear Submarine
SET D=Atom-U-Boot
SET V=V4
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                      (4) Babylonischer Bogenschtze
rem   -----------------------------------------------------------------

:V4
SET E=Bowman
rem SET D=Babylonischer Bogenschtze
SET D=Babylonischer Bogenschtze
SET V=V5
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (5) Bautrupp
rem   -----------------------------------------------------------------

:V5
SET E=Worker
SET D=Bautrupp
SET V=V6
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                (6) Bautrupp Industrielles Zeitalter
rem   -----------------------------------------------------------------

:V6
SET E=Worker Industrial Ages
SET D=Bautrupp Industrielles Zeitalter
SET V=V7
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (7) Bautrupp Moderne
rem   -----------------------------------------------------------------

:V7
SET E=Worker Modern Times
SET D=Bautrupp Moderne
SET V=V8
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (8) Berittener Krieger
rem   -----------------------------------------------------------------

:V8
SET E=Mounted Warrior
SET D=Berittener Krieger
SET V=V9
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (9) Bogenschtze
rem   -----------------------------------------------------------------

:V9
SET E=Archer
SET D=Bogenschtze
SET V=V10
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (10) Dsenjger
rem   -----------------------------------------------------------------

:V10
SET E=Jet Fighter
SET D=Dsenjger
SET V=V11
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (11) Fallschirmjger
rem   -----------------------------------------------------------------

:V11
SET E=Paratrooper
SET D=Fallschirmjger
SET V=V12
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (12) Flugzeugtrger
rem   -----------------------------------------------------------------

:V12
SET E=Carrier
SET D=Flugzeugtrger
SET V=V13
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                        (13) Franzsischer Musketier
rem   -----------------------------------------------------------------

:V13
SET E=Musketeer
SET D=Franzsischer Musketier
SET V=V14
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (14) Fregatte
rem   -----------------------------------------------------------------

:V14
SET E=Frigate
SET D=Fregatte
SET V=V15
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (15) Freibeuter
rem   -----------------------------------------------------------------

:V15
SET E=Privateer
SET D=Freibeuter
SET V=V16
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (16) Galeone
rem   -----------------------------------------------------------------

:V16
SET E=Galleon
SET D=Galeone
SET V=V17
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (17) Hoplit
rem   -----------------------------------------------------------------

:V17
SET E=Hoplite
SET D=Hoplit
SET V=V18
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (18) Hubschrauber
rem   -----------------------------------------------------------------

:V18
SET E=Helicopter
SET D=Hubschrauber
SET V=V19
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (19) Infanterie
rem   -----------------------------------------------------------------

:V19
SET E=Infantry
SET D=Infanterie
SET V=V20
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         (20) Interkontinentalrakete
rem   -----------------------------------------------------------------

:V20
SET E=Icbm
SET D=Interkontinentalrakete
SET V=V21
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (21) Jagdflugzeug
rem   -----------------------------------------------------------------

:V21
SET E=Fighter
SET D=Jagdflugzeug
SET V=V22
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (22) Jaguarkrieger
rem   -----------------------------------------------------------------

:V22
SET E=Jaguar Warrior
SET D=Jaguarkrieger
SET V=V23
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (23) Kampfpanzer
rem   -----------------------------------------------------------------

:V23
SET E=Modern Armor
SET D=Kampfpanzer
SET V=V24
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (24) Kanone
rem   -----------------------------------------------------------------

:V24
SET E=cannon
SET D=Kanone
SET V=V25
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                      (25) Karavelle
rem   -----------------------------------------------------------------

:V25
SET E=Caravel
SET D=Karavelle
SET V=V26
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (26) Katapult
rem   -----------------------------------------------------------------

:V26
SET E=Catapult
SET D=Katapult
SET V=V27
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                     (27) Kavallerie
rem   -----------------------------------------------------------------

:V27
SET E=Cavalry
SET D=Kavallerie
SET V=V28
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (28) Kommandant Antike
rem   -----------------------------------------------------------------

:V28
SET E=LEADER ANCIENT TIMES
SET D=Kommandant Antike
SET V=V29
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                             (29) Kommandant Industrielles Zeitalter
rem   -----------------------------------------------------------------

:V29
SET E=LEADER INDUSTRIAL AGES
SET D=Kommandant Industrielles Zeitalter
SET V=V30
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         (30) Kommandant Mittelalter
rem   -----------------------------------------------------------------

:V30
SET E=Leader Middle Ages
SET D=Kommandant Mittelalter
SET V=V31
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                             (31) Kommandant Moderne
rem   -----------------------------------------------------------------

:V31
SET E=LEADER MODERN TIMES
SET D=Kommandant Moderne
SET V=V32
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (32) Krieger
rem   -----------------------------------------------------------------

:V32
SET E=warrior
SET D=Krieger
SET V=V33
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (33) Kriegselefant
rem   -----------------------------------------------------------------

:V33
SET E=War Elephant
SET D=Kriegselefant
SET V=V34
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (34) Kriegsschiff
rem   -----------------------------------------------------------------

:V34
SET E=Battleship
SET D=Kriegsschiff
SET V=V35
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (35) Kriegsstreitwagen
rem   -----------------------------------------------------------------

:V35
SET E=War Chariot
SET D=Kriegsstreitwagen
SET V=V36
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (36) Krummsbelkmpfer
rem   -----------------------------------------------------------------

:V36
SET E=Immortals
SET D=Krummsbelkmpfer
SET V=V37
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (37) Kundschafter
rem   -----------------------------------------------------------------

:V37
SET E=Explorer
SET D=Kundschafter
SET V=V38
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                               (38) Langbogenschtze
rem   -----------------------------------------------------------------

:V38
SET E=Longbowman
SET D=Langbogenschtze
SET V=V39
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (39) Lanzenkmpfer
rem   -----------------------------------------------------------------

:V39
SET E=Spearman
SET D=Lanzenkmpfer
SET V=V40
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (40) Legionr
rem   -----------------------------------------------------------------

:V40
SET E=Legionary
SET D=Legionr
SET V=V41
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                              (41) Marineinfanterist
rem   -----------------------------------------------------------------

:V41
SET E=Marine
SET D=Marineinfanterist
SET V=V42
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                       (42) Mechanisierte Infanterie
rem   -----------------------------------------------------------------

:V42
SET E=Mech Infantry
SET D=Mechanisierte Infanterie
SET V=V43
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                      (43) Musketier
rem   -----------------------------------------------------------------

:V43
SET E=Musketman
SET D=Musketier
SET V=V44
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (44) Nuklearrakete
rem   -----------------------------------------------------------------

:V44
SET E=Tactical Nuke
SET D=Nuklearrakete
SET V=V44B
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (44B) Panzer
rem   -----------------------------------------------------------------

:V44B
SET E=Tank
SET D=Panzer
SET V=V45
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                   (45) Panzerschiff
rem   -----------------------------------------------------------------

:V45
SET E=Ironclad
SET D=Panzerschiff
SET V=V46
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                       (46) Pikenier
rem   -----------------------------------------------------------------

:V46
SET E=Pikeman
SET D=Pikenier
SET V=V47
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (47) Radarartillerie
rem   -----------------------------------------------------------------

:V47
SET E=Radar Artillery
SET D=Radarartillerie
SET V=V48
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (48) Reiter
rem   -----------------------------------------------------------------

:V48
SET E=Horseman
SET D=Reiter
SET V=V49
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (49) Ritter
rem   -----------------------------------------------------------------

:V49
SET E=Knight
SET D=Ritter
SET V=V50
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (50) Schlachtschiff
rem   -----------------------------------------------------------------

:V50
SET E=Man-O-War
SET D=Schlachtschiff
SET V=V51
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (51) Schtze
rem   -----------------------------------------------------------------

:V51
SET E=Rifleman
SET D=Schtze
SET V=V52
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (52) Schwertkmpfer
rem   -----------------------------------------------------------------

:V52
SET E=Swordsman
SET D=Schwertkmpfer
SET V=V53
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                        (53) Siedler
rem   -----------------------------------------------------------------

:V53
SET E=Settler
SET D=Siedler
SET V=V54
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                (54) Siedler Industrielles Zeitalter
rem   -----------------------------------------------------------------

:V54
SET E=Settler Industrial Ages
SET D=Siedler Industrielles Zeitalter
SET V=V55
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (55) Siedler Moderne
rem   -----------------------------------------------------------------

:V55
SET E=SETTLER MODERN TIMES
SET D=Siedler Moderne
SET V=V56
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (56) Spher
rem   -----------------------------------------------------------------

:V56
SET E=Scout
SET D=Spher
SET V=V57
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                 (57) Stealth-Bomber
rem   -----------------------------------------------------------------

:V57
SET E=Stealth Bomber
SET D=Stealth-Bomber
SET V=V58
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                           (58) Stealth-Jagdflugzeug
rem   -----------------------------------------------------------------

:V58
SET E=Stealth Fighter
SET D=Stealth-Jagdflugzeug
SET V=V59
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                  (59) Steppenreiter
rem   -----------------------------------------------------------------

:V59
SET E=Rider
SET D=Steppenreiter
SET V=V60
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                    (60) Streitwagen
rem   -----------------------------------------------------------------

:V60
SET E=chariot
SET D=Streitwagen
SET V=V61
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                (61) Transportschiff
rem   -----------------------------------------------------------------

:V61
SET E=Transport
SET D=Transportschiff
SET V=V62
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (62) Triere
rem   -----------------------------------------------------------------

:V62
SET E=Galley
SET D=Triere
SET V=V63
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                          (63) Truppenverband Antike
rem   -----------------------------------------------------------------

:V63
SET E=ARMY ANCIENT TIMES
SET D=Truppenverband Antike
SET V=V64
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                         (64) Truppenverband Industrielles Zeitalter
rem   -----------------------------------------------------------------

:V64
SET E=ARMY INDUSTRIAL AGES
SET D=Truppenverband Industrielles Zeitalter
SET V=V65
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                     (65) Truppenverband Mittelalter
rem   -----------------------------------------------------------------

:V65
SET E=ARMY MIDDLE AGES
SET D=Truppenverband Mittelalter
SET V=V66
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                         (66) Truppenverband Moderne
rem   -----------------------------------------------------------------

:V66
SET E=ARMY MODERN TIMES
SET D=Truppenverband Moderne
SET V=V67
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                         (67) U-Boot
rem   -----------------------------------------------------------------

:V67
SET E=Submarine
SET D=U-Boot
SET V=V68
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                      (68) Zerstrer
rem   -----------------------------------------------------------------

:V68
SET E=Destroyer
SET D=Zerstrer
SET V=V69
goto KOPIEREN


rem   -----------------------------------------------------------------
rem                                                          (69) Kosak
rem   -----------------------------------------------------------------

:V69
SET E=Cossack
SET D=Kosak
SET V=FERTIG
goto KOPIEREN




rem   -----------------------------------------------------------------
rem                                                       Kopierroutine
rem   -----------------------------------------------------------------

:KOPIEREN
IF NOT EXIST "%D%\%D%.ini" GOTO ORG_FEHLT
md "%E%" > NUL
copy /y "%D%\*.wav"   "%E%\*.*"     > NUL
copy /y "%D%\*.amb"   "%E%\*.*"     > NUL
copy /y "%D%\*.flc"   "%E%\*.*"     > NUL
copy /y "%D%\%D%.ini" "%E%\%E%.ini" > NUL
echo --ok--: %D%
goto %V%


rem   -----------------------------------------------------------------
rem                                                      Fehlerroutinen
rem   -----------------------------------------------------------------

:ORG_FEHLT
echo FEHLER: Das Original-Verzeichnis \%artdir%\%D%\ existiert nicht.
goto %V%

rem   ----------

:KEIN_CIVDIR
echo FEHLER: Sie mssen dieses Programm im Civ3-Verzeichnis starten. Das Programm wird abgebrochen.
goto ende

rem   ----------

:KEIN_UNITS
echo FEHLER: Das Verzeichnis %artdir% wurde nicht gefunden. Das Programm wird abgebrochen.
goto ende


rem   -----------------------------------------------------------------
rem                                                              FERTIG
rem   -----------------------------------------------------------------

:FERTIG
echo FERTIG: Alle Verzeichnisse wurden erzeugt, alle bentigten Dateien angelegt. 
echo FERTIG: Ausgenommen sind die Flle, bei denen die Originalverzeichnisse nicht vorhanden waren.
goto ende


rem   -----------------------------------------------------------------
rem                                                                Ende
rem   -----------------------------------------------------------------

:ende
SET E=
SET D=
SET V=
set artdir=
exit
